"filters"
{
	// this is what the filtered characters are replaced by, do "" to just remove them
	"censor" ""

	// regex expression for filtering, matches are replaced by the censor, here we are using a whitelist - this would strip unicode characters
	"filter" "[^A-Za-z0-9\s!@#$%^&*()-_+=-`~\\\]\[{}|';:/.,?><Σäöü§ĞŠ]"

	// series of regex expressions for names POST FILTER, matches will get replacement names
	"banned"
	{
		"1" "[Aa4]+[Dd]+[Mm]+[IiL1!]+[nN]+"
		"2" "@((!?)me|(c?)t(s?)|(!?)admins|(!?)friends|random((c?)t?)|humans|spec|alive|dead|aim|bots)"

		// regular nosteam names
		"3" "(?i)(astraserver|bruss.org|marcoplay|marcoserv|css-vip|for-css).(ru|com)"
		"4" "(?i)(login|player)"
	}

	// replacement names, granted by banned filter, or if the name is too short (<2)
	"names"
	{
		"1" "Reimu Hakurei"
		"2" "Marisa Kirisame"
		"3" "Koishi Komeiji"
		"4" "Youmu Konpaku"
		"5" "Sakuya Izayoi"
		"6" "Flandre Scarlet"
		"7" "Remilia Scarlet"
		"8" "Satori Komeiji"
		"9" "Alice Margatroid"
		"10" "Fujiwara no Mokou"
		"11" "Aya Shameimaru"
		"12" "Tenshi Hinanawi"
		"13" "Yukari Yakumo"
		"14" "Sanae Kochiya"
		"15" "Shion Yorigami"
		"16" "Reisen Udongein Inaba"
		"17" "Saeko Busujima"
		"18" "Rei Miyamoto"
		"19" "Saya Takagi"
		"20" "Eru Chitanda"
		"21" "Fuyumi Irisu"
		"22" "Lisara Restall"
		"23" "Sen Yarizui"
		"24" "Momiji Binboda"
		"25" "Ranmaru Rindou"
		"26" "Tatenashi Sarashiki"
		"27" "Laura Bodewig"
		"28" "Houki Shinonono"
		"29" "Ririchiyo Shirakiin"
		"30" "Karuta Roromiya"
	}
}
